## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-glymur
Version:        0.9.9
Release:        %autorelease
Summary:        Interface to the OpenJPEG library for working with JPEG 2000 files

License:        MIT
URL:            https://pypi.org/project/Glymur/
Source0:        https://github.com/quintusdias/glymur/archive/v%{version}/%{name}-%{version}.tar.gz
# Man pages hand-written for Fedora in groff_man(7) format based on --help
# output:
Source1:        jp2dump.1
Source2:        tiff2jp2.1

# Since the package has had endian-dependent test failures in the past, we give
# up “noarch” in the base package in order to run tests on all supported
# architectures.  We can still make all the built RPMs noarch.  Since the
# package does not in fact contain any compiled code, there is no corresponding
# debuginfo package.
%global debug_package %{nil}

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
# tests/fixtures.py: each of these enables more tests
BuildRequires:  python3dist(scikit-image)
BuildRequires:  python3dist(gdal)

# Provide shared libraries opened via ctypes; see glymur/config.py
BuildRequires:  openjpeg2
BuildRequires:  libtiff

%global _description %{expand:
Glymur contains a Python interface to the OpenJPEG
library which allows one to read and write JPEG 2000 files.}

%description %_description

%package -n python3-glymur
Requires:       openjpeg2
Summary:        %{summary}

BuildArch:      noarch

# Provide shared libraries opened via ctypes; see glymur/config.py
Requires:       openjpeg2
Requires:       libtiff

# glymur/jp2box.py: provides optional functionality
Recommends:     python3dist(gdal)

%description -n python3-glymur %_description


%prep
%autosetup -n glymur-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
install -m 0644 -p -D -t %{buildroot}%{_mandir}/man1 %{SOURCE1} %{SOURCE2}

%pyproject_install
%pyproject_save_files glymur


%check
%ifarch s390x
# TestSuite.test_psnr fails on s390x
# https://bugzilla.redhat.com/show_bug.cgi?id=2068124
# https://github.com/quintusdias/glymur/issues/546
k="${k-}${k+ and }not (TestSuite and test_psnr)"
%endif
%pytest -v -k "${k-}"


%files -n python3-glymur -f %{pyproject_files}
%doc README.md CHANGES.txt
%license LICENSE.txt
%{_bindir}/jp2dump
%{_bindir}/tiff2jp2

%exclude %{python3_sitelib}/tests
%{_mandir}/man1/jp2dump.1*
%{_mandir}/man1/tiff2jp2.1*

%changelog
* Thu Mar 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.9.9-1
- Update to 0.9.9 (fix RHBZ#2060087, close RHBZ#2068123)

* Tue Mar 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.9.8-1
- Update to 0.9.8 (fix RHBZ#2060033, fix RHBZ#2062941)

* Fri Nov 05 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.9.4-3
- improvement: tweak description

* Mon Nov 01 2021 Vanessa Christopher <vanessaigwe1@gmail.com> 0.9.4-9
- Uncommitted changes

* Fri Oct 29 2021 Vanessa Christopher <vanessaigwe1@gmail.com> 0.9.4-8
- Added man-page to package

* Thu Oct 28 2021 Vanessa Christopher <vanessaigwe1@gmail.com> 0.9.4-7
- added CHANGES.txt to package docs

* Mon Oct 25 2021 Vanessa Christopher <vanessaigwe1@gmail.com> 0.9.4-6
- changed Release = %%autorelease and %%changelog = %%autochangelog

* Mon Oct 25 2021 Vanessa Christopher <vanessaigwe1@gmail.com> 0.9.4-5
- updated spec file

* Fri Oct 22 2021 Vanessa Christopher <vanessaigwe1@gmail.com> 0.9.4-4
- fresh mockbuild for review

* Fri Oct 22 2021 Vanessa Christopher <vanessaigwe1@gmail.com> 0.9.4-3
- sending for review

* Fri Oct 22 2021 Vanessa Christopher <vanessaigwe1@gmail.com> 0.9.4-2
- rpm package created successfully

* Thu Oct 21 2021 Vanessa Christopher <vanessaigwe1@gmail.com> 0.9.4-1
- building process ...


